import { defineComponent as n, toRefs as s, openBlock as a, createElementBlock as l, createVNode as t, unref as e, withCtx as p } from "vue";
import o from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const _ = { class: "title04" }, g = n({ name: "ETitle04" }), h = /* @__PURE__ */ n({
  ...g,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(c) {
    const i = c, { titleConfig: r, bgImageConfig: f } = s(i.chartConfig.option);
    return (m, u) => (a(), l("div", _, [
      t(o, {
        config: e(f),
        type: "bgImg",
        class: "allcenter"
      }, {
        default: p(() => [
          t(o, {
            config: e(r),
            type: "text"
          }, null, 8, ["config"])
        ]),
        _: 1
      }, 8, ["config"])
    ]));
  }
});
export {
  h as default
};
